Bug 55018 - man behaves badly
Summary: man behaves badly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-24 14:19 UTC by John Berninger
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 08:52:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Berninger 2001-10-24 14:19:33 UTC
Description of Problem:
when running the "man /etc/shadow" command, the man executable attempts to
read the actual /etc/shadow file and display it to the screen; when run as
root, the file is displayed, otherwise, the message "/etc/shadow:
Permission denied" appears immediately prior to "No manual entry for
/etc/shadow"

Version-Release number of selected component (if applicable):
man-1.5i2-0.7x and man-1.5i2-6

How Reproducible:
always

Steps to Reproduce:
1. man /etc/shadow
2. 
3. 

Actual Results:
see above

Expected Results:
see above

Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-10-24 14:25:45 UTC
Why do you think this is a problem?

I think it's a feature (man /usr/src/foo/doc/foo.1 can be quite useful at 
times).

Someone with root access is probably not stupid enough to type "man 
/etc/shadow" while someone is watching his screen (and even then, nobody will 
be able to remember the MD5 hashes).


Comment 2 John Berninger 2001-10-24 14:34:01 UTC
This is (IMHO) a problem from the standpoint that I want to get information on
the /etc/shadow file, I don't want it to try to use the /etc/shadow file as the
actual man page.  

I agree that "man /usr/src/foo/file.1" can be useful; it seems (to me at least)
too confusing, though - perhaps a switch telling man to "use the argument as the
man file name, not the man query term" would work just as well (i.e. "man -f
/usr/src/foo/file.1")?

Comment 3 Michael Schwendt 2001-10-25 08:50:16 UTC
"man 5 shadow" is what you want.


Comment 4 Michael Schwendt 2001-10-25 08:52:27 UTC
Or "whatis shadow".

Comment 5 Bernhard Rosenkraenzer 2001-10-25 09:00:08 UTC
I think by using a "/", you clearly indicate you want a file, so an extra 
switch is not necessary.



Note You need to log in before you can comment on or make changes to this bug.